<div>
  <div class="row">
    <div class="col-12 mb-3">
      <ngb-accordion #acc="ngbAccordion" activeIds="ngb-panel-0" expand="ngb-panel-0">
        <ngb-panel title="Page Info">
          <ng-template ngbPanelContent>
            <div class="card-text code">
              <p>
                Here is a sample of a dynamic list which can be configured with a dynamic form.
                The data from the list have the same keys as the configured form.
              </p>
              <p>
                Click a row to display a form to edit the element.
              </p>
              <p>
                You can change the edit form in this page by changing the cache form config in <a routerLink="/configurable-form">Configurable Form</a>.
                Try out the alternate sample config to show an edit form with a mobile number instead of a password field.
              </p>
            </div>
          </ng-template>
        </ngb-panel>
        <ngb-panel title="Initial Config">
          <ng-template ngbPanelContent>
            <div class="card-text code">
              {{ configListString.main }}
            </div>
          </ng-template>
        </ngb-panel>
        <ngb-panel title="Alternate Sample Config">
          <ng-template ngbPanelContent>
            <div class="card-text code">
              {{ configListString.alt }}
            </div>
          </ng-template>
        </ngb-panel>
      </ngb-accordion>
    </div>
  </div>

  <div class="row">
    <div class="col-12 card mb-3">
      <div class="card-body">
        <h5 class="card-title">
          List Users
        </h5>
        <div class="card-text">
          <div class="row">
            <div class="col-12">
              <table class="table">
                <thead>
                <tr>
                  <th *ngIf="withIndex">
                    #
                  </th>
                  <th *ngFor="let headerName of tableHeaders">
                    {{headerName}}
                  </th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let item of listItems; let i=index;" (click)="setSelectedItem(item)">
                  <td *ngIf="withIndex">{{i}}</td>
                  <td *ngFor="let key of itemCodes">
                    {{ item[key] }}
                  </td>
                </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row" *ngIf="selectedItem">
    <div class="card col-12">
      <div class="card-body">
        <h5 class="card-title">
          Edit User
        </h5>
        <div class="card-text">
          <app-dynamic-details-view [itemDetails]="selectedItem" [fields]="formConfig"
                                    (updateCancelled)="onCancelledUpdate()">
          </app-dynamic-details-view>
        </div>
      </div>
    </div>
  </div>
</div>
